#include <iostream>
using namespace std;
int main()
{
    int n,br=0;
    cin>>n;
    int x[n],y[n];
    for(int i=0;i<n;i++)
    {
        cin>>x[i]>>y[i];
        x[i]--;
        y[i]--;
    }
    bool X[n]={false};
    bool Y[n]={false};
    for(int i=0;i<n;i++)
    {
        X[x[i]]=true;
        Y[y[i]]=true;
    }
    for(int i=0;i<n;i++)
    {
        if(!X[i])
            br++;
        if(!Y[i])
            br++;
    }
    cout<<br;
    return 0;
}